[prev in list] [next in list] [prev in thread] [next in thread] 

List:       kde-commits
Subject:    [kde-workspace/farhad_hf/lockscreen] /: Support screen locking at
From:       Martin_Gräßlin <mgraesslin () kde ! org>
Date:       2011-09-24 11:12:02
Message-ID: 20110924111202.8CEF1A60BE () git ! kde ! org
[Download RAW message or body]

Git commit ee1e2f5e9e6e2ee2e818d3c8124c068aaedad30d by Martin Gräßlin.
Committed on 24/09/2011 at 13:11.
Pushed by graesslin into branch 'farhad_hf/lockscreen'.

Support screen locking at startup

M  +14   -4    startkde.cmake

http://commits.kde.org/kde-workspace/ee1e2f5e9e6e2ee2e818d3c8124c068aaedad30d

diff --git a/startkde.cmake b/startkde.cmake
index 627dadb..3310ea9 100644
--- a/startkde.cmake
+++ b/startkde.cmake
@@ -342,11 +342,21 @@ fi
 
 # If the session should be locked from the start (locked autologin),
 # lock now and do the rest of the KDE startup underneath the locker.
+# the screen locking is part of KWin and the lock request is indicated
+# by a lock file in the user's cache directory.
+# If the user is not using KWin as the window manager, the standard kscreenlocker is used
 if test -n "$dl"; then
-  if ! kwrapper4 kscreenlocker --forcelock --showunlock --daemon; then
-    echo 'startkde: Initial session lock failed. Terminating for security reasons.' 1>&2
-    exit 1
-  fi
+    if test -n "$KDEWM"; then
+        # custom window manager set - use kscreenlocker
+        if ! kwrapper4 kscreenlocker --forcelock --showunlock --daemon; then
+            echo 'startkde: Initial session lock failed. Terminating for security reasons.' 1>&2
+            exit 1
+        fi
+    else
+        SCREENLOCKFILE=`kde4-config --path cache`/kwin.lock
+        touch $SCREENLOCKFILE
+        chmod 600 $SCREENLOCKFILE
+    fi
 fi
 
 # finally, give the session control to the session manager

[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic